Domoticz non accessible depuis mon navigateur

Posez ici vos questions d'utilisation, de configuration de DomoticZ, de bugs, de conseils sur le logiciel lui même dans son utilisation et son paramétrage.
Des forums spécifiques sont ouverts ci-dessous pour regrouper les différents sujets.
secator
Messages : 165
Inscription : 10 nov. 2018, 18:26

Re: Domoticz non accessible depuis mon navigateur

Message par secator »

Active: active (exited) since Fri 2023-09-15 12:34:02
le problème de base c'est dèjà le exited non ?
normalement c'est "run" ou "running" , si je me rappelle quand domoticz tourne. Là il est arrété. Je ne peux pas vérifier je tourne sous docker maintenant.
Voir les logs de domoticz.......
benoit fardeau
Messages : 21
Inscription : 29 sept. 2022, 19:15

Re: Domoticz non accessible depuis mon navigateur

Message par benoit fardeau »

ok j'ai testé
sur le navigateur 107.0.0.1:port ne donne rien. site inaccessible !
désolé
Et je reviens sur le status Domoticz : exited au lieu de running
domoticz.service - LSB: Home Automation System
Loaded: loaded (/etc/init.d/domoticz.sh; generated)
Active: active (exited) since Fri 2023-09-15 16:12:42 CEST; 6h ago
Docs: man:systemd-sysv-generator(8)
Process: 1128 ExecStart=/etc/init.d/domoticz.sh start (code=exited, status=0/S

sept. 15 16:12:42 raspberrydomoticz systemd[1]: Starting LSB: Home Automation Sy
sept. 15 16:12:42 raspberrydomoticz domoticz.sh[1128]: Illegal instruction
sept. 15 16:12:42 raspberrydomoticz systemd[1]: Started LSB: Home Automation Sys
Keros
Messages : 6638
Inscription : 23 juil. 2019, 20:57

Re: Domoticz non accessible depuis mon navigateur

Message par Keros »

Tu peux mettre les logs de DomoticZ dans un fichier et nous coller ici les logs au démarrage.
Comment bien utiliser le forum : Poser une question, Mettre un script, un fichier, une image ou des logs
Mes petits guides : Débuter en programmation, Le débogage, Le choix de matériel, Les sauvegardes
Ma présentation - Mes Tutos
Chrominator
Messages : 1042
Inscription : 19 déc. 2015, 07:29
Localisation : France

Re: Domoticz non accessible depuis mon navigateur

Message par Chrominator »

benoit fardeau a écrit : 15 sept. 2023, 12:49 Complément : en fait le status est ainsi :
Active: active (exited) since Fri 2023-09-15 12:34:02
c'est peut être le problème ?
Oui c'est le problème.
Active: active (exited) montre que le service a démarré et qu'il s'est arrêté ensuite, probablement suite à une erreur.
Regarder dans les logs de domoticz à ce stade est une bonne idée pour comprendre l'erreur, la corriger avant de relancer le service.
Un bon frein vaut mieux que deux sparadraps.

Ubuntu 24.04.3 LTS - Domoticz 2025.1 (build 16782)
Pentium G3220T 2.6GHz - 4Go DDR3
RFXtrx433 USB Ver Pro1/1043
Z-Stick GEN5 Version: 1.6-1136-g07ea22bb
Rtl433 RTL-SDR receiver
RFLink Gateway
Zigbee SLZB-06
benoit fardeau
Messages : 21
Inscription : 29 sept. 2022, 19:15

Re: Domoticz non accessible depuis mon navigateur

Message par benoit fardeau »

ok pour regarder le log
dans le rep /home/pi/domoticz il y a domoticz_crash.log
il ne s'ouvre pas. permission insuffisante sous WINSCP
comment je peux changer cela ? propriètaire = root ; moi je suis "pi"
Keros
Messages : 6638
Inscription : 23 juil. 2019, 20:57

Re: Domoticz non accessible depuis mon navigateur

Message par Keros »

Tu ouvres un terminal dans le dossier domoticz et tu fais un sudo nano domoticz_crash.log

Et en même temps, tu peux faire ce que t'ai demandé dans mon message précédent ?
Comment bien utiliser le forum : Poser une question, Mettre un script, un fichier, une image ou des logs
Mes petits guides : Débuter en programmation, Le débogage, Le choix de matériel, Les sauvegardes
Ma présentation - Mes Tutos
secator
Messages : 165
Inscription : 10 nov. 2018, 18:26

Re: Domoticz non accessible depuis mon navigateur

Message par secator »

En plus des logs, tu peux nous donner ton domoticz.sh car apparemment il a un problème.

sept. 15 16:12:42 raspberrydomoticz domoticz.sh[1128]: illegal instruction
benoit fardeau
Messages : 21
Inscription : 29 sept. 2022, 19:15

Re: Domoticz non accessible depuis mon navigateur

Message par benoit fardeau »

voici le log, désolé il est long (je ne l'avais pas pris totalement)

Code : Tout sélectionner

pi@raspberrydomoticz:~/domoticz $ sudo nano domoticz_crash.log
  GNU nano 3.2                                           domoticz_crash.log

 GNU nano 3.2                                           domoticz_crash.log

  Id   Target Id                                     Frame
* 1    Thread 0x75f68040 (LWP 569) "domoticz"        __GI___nanosleep (remaining=0x7effb9d8, requested_time=0x7effb9d8) at ../$
  2    Thread 0x75f67200 (LWP 570) "Watchdog"        __waitpid (options=0, stat_loc=0x75f66360, pid=629) at ../sysdeps/unix/sy$
  3    Thread 0x7575e200 (LWP 573) "SQLHelper"       syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  4    Thread 0x74f5d200 (LWP 574) "InfluxPush"      syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  5    Thread 0x7475c200 (LWP 575) "Webem_ssncleane" 0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x7475b2f8, maxeve$
  6    Thread 0x73f12200 (LWP 580) "WebServer_8091"  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x73f11300, maxeve$
  7    Thread 0x735ff200 (LWP 583) "Webem_ssncleane" 0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x735fe2f8, maxeve$
  8    Thread 0x72dfe200 (LWP 584) "WebServer_443"   0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x72dfd300, maxeve$
  9    Thread 0x723ff200 (LWP 585) "Scheduler"       syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  10   Thread 0x71bfe200 (LWP 586) "TCPServer"       0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x71bfd330, maxeve$
  11   Thread 0x711ff200 (LWP 587) "MainWorker"      syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  12   Thread 0x709fe200 (LWP 588) "MainWorkerRxMsg" futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x709fdb$
  13   Thread 0x6fdff200 (LWP 617) "Lumière Philip" syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  14   Thread 0x6f3ff200 (LWP 618) "Netatmo station" syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  15   Thread 0x6ebfe200 (LWP 619) "RFXCOM"          syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  16   Thread 0x6e3fd200 (LWP 620) "NotificationSys" futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x6e3fcb$
  17   Thread 0x6dbfc200 (LWP 621) "EventSystem"     syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
  18   Thread 0x6d3fb200 (LWP 622) "EventSystemQueu" futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x6d3faa$
  19   Thread 0x6cbfa200 (LWP 623) "RFXCOM"          0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x6cbf92f8, maxeve$

Thread 19 (Thread 0x6cbfa200 (LWP 623)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x6cbf92f8, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x003b78e8 in boost::detail::thread_data<AsyncSerial::open(std::__cxx11::basic_string<char, std::char_traits<char>, std::a$
#4  0x00728928 in thread_proxy ()
#5  0x76b11494 in start_thread (arg=0x6cbfa200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 18 (Thread 0x6d3fb200 (LWP 622)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x6d3faac0, expected=0, futex_word=0xa36d14 <m_mainworker$
#1  __pthread_cond_wait_common (abstime=0x6d3faac0, mutex=0x0, cond=0xa36ce8 <m_mainworker+304>) at pthread_cond_wait.c:539
#2  __pthread_cond_timedwait (cond=0xa36ce8 <m_mainworker+304>, mutex=0x0, abstime=0x6d3faac0) at pthread_cond_wait.c:667
#3  0x001fe124 in CEventSystem::EventQueueThread() ()
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x6d3fb200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 17 (Thread 0x6dbfc200 (LWP 621)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x001f5098 in CEventSystem::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x6dbfc200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 16 (Thread 0x6e3fd200 (LWP 620)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x6e3fcbb0, expected=0, futex_word=0xa37614 <m_mainworker$
#1  __pthread_cond_wait_common (abstime=0x6e3fcbb0, mutex=0x0, cond=0xa375e8 <m_mainworker+2608>) at pthread_cond_wait.c:539
#2  __pthread_cond_timedwait (cond=0xa375e8 <m_mainworker+2608>, mutex=0x0, abstime=0x6e3fcbb0) at pthread_cond_wait.c:667
#3  0x00261578 in CNotificationSystem::QueueThread() ()
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x6e3fd200) at pthread_create.c:486
Backtrace stopped: Cannot access memory at address 0x309a3e06

Thread 15 (Thread 0x6ebfe200 (LWP 619)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x005b6b58 in RFXComSerial::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x6ebfe200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6

Thread 14 (Thread 0x6f3ff200 (LWP 618)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x00517cf4 in CNetatmo::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x6f3ff200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 13 (Thread 0x6fdff200 (LWP 617)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x0058b174 in CPhilipsHue::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x6fdff200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 12 (Thread 0x709fe200 (LWP 588)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x709fdb80, expected=0, futex_word=0xa37b2c <m_mainworker$
#1  __pthread_cond_wait_common (abstime=0x709fdb80, mutex=0x0, cond=0xa37b00 <m_mainworker+3912>) at pthread_cond_wait.c:539
#2  __pthread_cond_timedwait (cond=0xa37b00 <m_mainworker+3912>, mutex=0x0, abstime=0x709fdb80) at pthread_cond_wait.c:667
#3  0x00250f28 in MainWorker::Do_Work_On_Rx_Messages() ()
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x709fe200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 11 (Thread 0x711ff200 (LWP 587)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x0024b900 in MainWorker::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x711ff200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 10 (Thread 0x71bfe200 (LWP 586)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x71bfd330, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x006a4e18 in std::thread::_State_impl<std::thread::_Invoker<std::tuple<tcp::server::CTCPServer::StartServer(std::__cxx11:$
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x71bfe200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 9 (Thread 0x723ff200 (LWP 585)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x002718e0 in CScheduler::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x723ff200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 8 (Thread 0x72dfe200 (LWP 584)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x72dfd300, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x006d9a38 in http::server::server_base::run() ()
#4  0x002bf7b8 in std::thread::_State_impl<std::thread::_Invoker<std::tuple<http::server::CWebServer::StartServer(http::server$
#5  0x008af584 in execute_native_thread_routine ()
#6  0x76b11494 in start_thread (arg=0x72dfe200) at pthread_create.c:486
#7  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 7 (Thread 0x735ff200 (LWP 583)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x735fe2f8, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x006be6bc in std::thread::_State_impl<std::thread::_Invoker<std::tuple<http::server::cWebem::cWebem(http::server::server_$
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x735ff200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 6 (Thread 0x73f12200 (LWP 580)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x73f11300, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x006d9a38 in http::server::server_base::run() ()
#4  0x002bf7b8 in std::thread::_State_impl<std::thread::_Invoker<std::tuple<http::server::CWebServer::StartServer(http::server$
#5  0x008af584 in execute_native_thread_routine ()
#6  0x76b11494 in start_thread (arg=0x73f12200) at pthread_create.c:486
#7  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 5 (Thread 0x7475c200 (LWP 575)):
#0  0x769c49c0 in epoll_wait (epfd=<optimized out>, events=0x7475b2f8, maxevents=128, timeout=-1) at ../sysdeps/unix/sysv/linu$
#1  0x003b3cd4 in boost::asio::detail::epoll_reactor::run(long, boost::asio::detail::op_queue<boost::asio::detail::scheduler_o$
#2  0x003b5850 in boost::asio::detail::scheduler::run(boost::system::error_code&) ()
#3  0x006be6bc in std::thread::_State_impl<std::thread::_Invoker<std::tuple<http::server::cWebem::cWebem(http::server::server_$
#4  0x008af584 in execute_native_thread_routine ()
#5  0x76b11494 in start_thread (arg=0x7475c200) at pthread_create.c:486
#6  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 4 (Thread 0x74f5d200 (LWP 574)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x00372824 in CInfluxPush::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x74f5d200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 3 (Thread 0x7575e200 (LWP 573)):
#0  syscall () at ../sysdeps/unix/sysv/linux/arm/syscall.S:37
#1  0x0088cff4 in std::__atomic_futex_unsigned_base::_M_futex_wait_until(unsigned int*, unsigned int, bool, std::chrono::durat$
#2  0x0028f710 in CSQLHelper::Do_Work() ()
#3  0x008af584 in execute_native_thread_routine ()
#4  0x76b11494 in start_thread (arg=0x7575e200) at pthread_create.c:486
#5  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x75f67200 (LWP 570)):
#0  __waitpid (options=0, stat_loc=0x75f66360, pid=629) at ../sysdeps/unix/sysv/linux/waitpid.c:30
#1  __waitpid (pid=629, stat_loc=0x75f66360, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:25
#2  0x00279814 in dumpstack_gdb(bool) ()
#3  0x00279d18 in signal_handler(int, siginfo_t*, void*) ()
#4  <signal handler called>
#5  raise (sig=10) at ../sysdeps/unix/sysv/linux/raise.c:50
#6  0x00279fe4 in Do_Watchdog_Work() ()
#7  0x008af584 in execute_native_thread_routine ()
#8  0x76b11494 in start_thread (arg=0x75f67200) at pthread_create.c:486
#9  0x769c4568 in ?? () at ../sysdeps/unix/sysv/linux/arm/clone.S:73 from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x75f68040 (LWP 569)):
#0  __GI___nanosleep (remaining=0x7effb9d8, requested_time=0x7effb9d8) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  __GI___nanosleep (requested_time=0x7effb9d8, remaining=0x7effb9d8) at ../sysdeps/unix/sysv/linux/nanosleep.c:25
#2  0x00210608 in sleep_seconds(long) ()
#3  0x001a2140 in main ()

Main thread:
#0  __GI___nanosleep (remaining=0x7effb9d8, requested_time=0x7effb9d8) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  __GI___nanosleep (requested_time=0x7effb9d8, remaining=0x7effb9d8) at ../sysdeps/unix/sysv/linux/nanosleep.c:25
#2  0x00210608 in sleep_seconds(long) ()
#3  0x001a2140 in main ()
[Inferior 1 (process 569) detached]
Dernière modification par Neutrino le 16 sept. 2023, 15:58, modifié 2 fois.
Raison : Ajout Balises code
benoit fardeau
Messages : 21
Inscription : 29 sept. 2022, 19:15

Re: Domoticz non accessible depuis mon navigateur

Message par benoit fardeau »

voici le contenu de domoticz.sh (j'aurais voulu l'envoyer en PJ mais pas possible !)

Code : Tout sélectionner

#! /bin/sh
### BEGIN INIT INFO
# Provides:          domoticz
# Required-Start:    $network $remote_fs $syslog $time
# Required-Stop:     $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Home Automation System
# Description:       This daemon will start the Domoticz Home Automation System
### END INIT INFO

# Do NOT "set -e"

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
DESC="Domoticz Home Automation System"
NAME=domoticz
USERNAME=pi
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

DAEMON=/home/$USERNAME/domoticz/$NAME
DAEMON_ARGS="-daemon"
#DAEMON_ARGS="$DAEMON_ARGS -daemonname $NAME -pidfile $PIDFILE"
DAEMON_ARGS="$DAEMON_ARGS -www 8091"
DAEMON_ARGS="$DAEMON_ARGS -sslwww 443"
#DAEMON_ARGS="$DAEMON_ARGS -log /tmp/domoticz.txt"
#DAEMON_ARGS="$DAEMON_ARGS -syslog"

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

pidof_domoticz() {
    # if there is actually a domoticz process whose pid is in PIDFILE,
    # print it and return 0.
    if [ -e "$PIDFILE" ]; then
        if pidof domoticz | tr ' ' '\n' | grep -w $(cat $PIDFILE); then
            return 0
        fi
    fi
    return 1
}

#
# Function that starts the daemon/service
#
do_start()
{
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --chuid $USERNAME --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
                $DAEMON_ARGS \
                || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
}

case "$1" in
  start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
  reload)
        log_daemon_msg "Reloading $DESC" "$NAME"
        PID=$(pidof_domoticz) || true
        if [ "${PID}" ]; then
                kill -HUP $PID
                log_end_msg 0
        else
                log_end_msg 1
        fi
        ;;
  restart)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload}" >&2
        exit 3
        ;;
esac

:
Dernière modification par Neutrino le 16 sept. 2023, 15:59, modifié 1 fois.
Raison : Ajout Balises code
Neutrino
Messages : 2662
Inscription : 10 juil. 2015, 15:42
Localisation : Les Herbiers(85)

Re: Domoticz non accessible depuis mon navigateur

Message par Neutrino »

Enlève le # à la ligne

Code : Tout sélectionner

#DAEMON_ARGS="$DAEMON_ARGS -log /tmp/domoticz.txt"
Relance domoticz

Code : Tout sélectionner

sudo service domoticz.sh restart
et poste nous le contenu du fichier /tmp/domoticz.txt s'il te plait.
Ma maison à plein d'IP ! :mrgreen:
SAV Bonjour. Vous avez vidé le cache ?
Répondre